Bug 604577 - Test against Postgres 9
Test against Postgres 9
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
4.0.0
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Rajan Timaniya
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 05:44 EDT by Heiko W. Rupp
Modified: 2013-09-02 03:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:14:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server log (422.06 KB, text/x-log)
2010-06-22 07:23 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Heiko W. Rupp 2010-06-16 05:44:09 EDT
We should quickly test the release against Postgres 9 beta to see if there are obvious showstoppers (e.g. PG9 reported as too old )
While we do not need to support it (as it is still beta), we should prepare for this.
Comment 1 Heiko W. Rupp 2010-06-18 07:48:18 EDT
The Beta0 installer reports postgres 9 as unsupported.
Comment 2 Charles Crouch 2010-06-18 08:46:58 EDT
There are no plans to support PG9 for JON2.4 so dropping priority
Comment 3 Heiko W. Rupp 2010-06-18 08:54:29 EDT
4c7ae18 on release-3.0.0
Comment 4 Rajan Timaniya 2010-06-22 07:22:21 EDT
Tested on JON 2.4GA_QE with Postgres 9

QE Environment:
JON server installation platform: RHEL 5.5
Java: Sun jdk1.6.0_18
Database: Postgres 9 beta2

Steps:
1) Install JON 2.4GA_QE with Postgres 9 Beta2
2) Upload JON license 
3) Log-in to JON
4) Refer server log

Server log has exceptions/errors: (Please refer attached server log)
2010-06-22 16:36:27,431 WARN  [org.jboss.resource.connectionmanager.NoTxConnectionManager] Connection error occured: org.jboss.resource.connectionmanager.NoTxConnectionManager$NoTxConnectionEventListener@1938c25[state=NORMAL mc=org.jboss.resource.adapter.jdbc.local.LocalManagedConnection@17918b5 handles=1 lastUse=1277204763167 permit=true trackByTx=false mcp=org.jboss.resource.connectionmanager.JBossManagedConnectionPool$PoolBySubject@1452f86 context=org.jboss.resource.connectionmanager.InternalManagedConnectionPool@1333f7c]
java.lang.ArrayIndexOutOfBoundsException: 2
	at org.postgresql.util.PGbytea.toBytes(PGbytea.java:76)
	at org.postgresql.jdbc2.AbstractJdbc2ResultSet.getBytes(AbstractJdbc2ResultSet.java:2271)
	at org.postgresql.jdbc2.AbstractJdbc2ResultSet.getBytes(AbstractJdbc2ResultSet.java:2451)
	at org.jboss.resource.adapter.jdbc.WrappedResultSet.getBytes(WrappedResultSet.java:464)
	at org.quartz.impl.jdbcjobstore.PostgreSQLDelegate.getJobDetailFromBlob(PostgreSQLDelegate.java:118)
	at org.quartz.impl.jdbcjobstore.StdJDBCDelegate.getMapFromProperties(StdJDBCDelegate.java:928)
	at org.quartz.impl.jdbcjobstore.StdJDBCDelegate.selectTrigger(StdJDBCDelegate.java:2133)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport.retrieveTrigger(JobStoreSupport.java:1554)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport.retrieveTrigger(JobStoreSupport.java:1548)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport.acquireNextTrigger(JobStoreSupport.java:2768)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport$36.execute(JobStoreSupport.java:2733)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport.executeInNonManagedTXLock(JobStoreSupport.java:3760)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport.acquireNextTrigger(JobStoreSupport.java:2729)
	at org.quartz.core.QuartzSchedulerThread.run(QuartzSchedulerThread.java:266)
2010-06-22 16:36:27,444 WARN  [org.quartz.impl.jdbcjobstore.AttributeRestoringConnectionInvocationHandler] Failed restore connection's original auto commit setting.
java.sql.SQLException: Connection is not associated with a managed connection.org.jboss.resource.adapter.jdbc.jdk5.WrappedConnectionJDK5@19771c0
	at org.jboss.resource.adapter.jdbc.WrappedConnection.lock(WrappedConnection.java:81)
	at org.jboss.resource.adapter.jdbc.WrappedConnection.setAutoCommit(WrappedConnection.java:454)
	at org.quartz.impl.jdbcjobstore.AttributeRestoringConnectionInvocationHandler.restoreOriginalAtributes(AttributeRestoringConnectionInvocationHandler.java:134)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport.cleanupConnection(JobStoreSupport.java:3551)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport.executeInNonManagedTXLock(JobStoreSupport.java:3774)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport.acquireNextTrigger(JobStoreSupport.java:2729)
	at org.quartz.core.QuartzSchedulerThread.run(QuartzSchedulerThread.java:266)
2010-06-22 16:36:27,444 ERROR [org.quartz.core.QuartzSchedulerThread] quartzSchedulerThreadLoop: RuntimeException null
java.lang.reflect.UndeclaredThrowableException
	at $Proxy530.rollback(Unknown Source)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport.rollbackConnection(JobStoreSupport.java:3601)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport.executeInNonManagedTXLock(JobStoreSupport.java:3764)
	at org.quartz.impl.jdbcjobstore.JobStoreSupport.acquireNextTrigger(JobStoreSupport.java:2729)
	at org.quartz.core.QuartzSchedulerThread.run(QuartzSchedulerThread.java:266)
Caused by: java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.quartz.impl.jdbcjobstore.AttributeRestoringConnectionInvocationHandler.invoke(AttributeRestoringConnectionInvocationHandler.java:71)
	... 5 more
Caused by: java.sql.SQLException: Connection is not associated with a managed
Comment 5 Rajan Timaniya 2010-06-22 07:23:03 EDT
Created attachment 425893 [details]
server log
Comment 6 Heiko W. Rupp 2010-06-22 15:26:10 EDT
Rajan,

just curious: does the same work correctly on PG 8.4?

  Heiko
Comment 7 Heiko W. Rupp 2010-06-22 15:27:12 EDT
(In reply to comment #6)
> just curious: does the same work correctly on PG 8.4?

Ah, I see, directly after login you wrote.
Comment 8 Heiko W. Rupp 2010-08-02 08:58:16 EDT
See also http://permalink.gmane.org/gmane.comp.db.postgresql.jdbc/17046
and especially the answer from the PG JDBC driver expert:
http://permalink.gmane.org/gmane.comp.db.postgresql.jdbc/17047

THe postgres 9 jdbc driver fixes the issue - but we should not use it as long as it is still in beta.
Comment 9 Corey Welton 2010-09-24 09:11:17 EDT
ccrouch - what are our plans to support this?
heiko - is there much community coalescing around 9 yet?
Comment 10 Heiko W. Rupp 2010-09-24 09:19:16 EDT
Postgres 9 final is out since last monday,so I am sure demand will arise in the upcoming weeks.
Comment 11 Heiko W. Rupp 2011-02-08 15:50:11 EST
Master as of today builds fine with tests enabled against Postgres 9.0.2
Comment 12 Heiko W. Rupp 2011-02-10 04:56:42 EST
Testsuite runs against 9.0
Manual install against 9.0 and smoke test also looks good.
Comment 13 Heiko W. Rupp 2011-02-10 05:19:27 EST
Actually I think we should support 9.1 as soon as possible to support the WAL-less tables. This can give quite a boost to metrics and events.
Currently 9.1alpha is far from usable.
Comment 14 Mike Foley 2011-05-03 10:25:33 EDT
RHQ 4 supports Postgres 9.  Upgrade testing was performed.  Manual testing.  Automation.   Support for new point releases, and issues there, will be on new BZ's.
Comment 15 Heiko W. Rupp 2013-09-02 03:14:39 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.